Index: protocols/oscar/chat.c
===================================================================
--- protocols/oscar/chat.c	(revision 6a451817589df092ef5121bbe2c7156d2d01f669)
+++ protocols/oscar/chat.c	(revision d18db32f4777d0be6ccb6f46067c0532c07909d5)
@@ -384,5 +384,4 @@
 	char *roomname = NULL;
 	struct aim_chat_roominfo roominfo;
-	guint16 tlvcount = 0;
 	aim_tlvlist_t *tlvlist;
 	char *roomdesc = NULL;
@@ -401,5 +400,5 @@
 	}
 
-	tlvcount = aimbs_get16(bs);
+	aimbs_get16(bs); /* tlv count */
 
 	/*
Index: protocols/oscar/chatnav.c
===================================================================
--- protocols/oscar/chatnav.c	(revision 6a451817589df092ef5121bbe2c7156d2d01f669)
+++ protocols/oscar/chatnav.c	(revision d18db32f4777d0be6ccb6f46067c0532c07909d5)
@@ -139,10 +139,6 @@
 		 * Type 0x0002: Unknown
 		 */
-		if (aim_gettlv(innerlist, 0x0002, 1)) {
-			guint16 classperms;
-
-			classperms = aim_gettlv16(innerlist, 0x0002, 1);
-			
-		}
+		if (aim_gettlv(innerlist, 0x0002, 1))
+			;
 
 		/*
@@ -204,9 +200,6 @@
 		 * 
 		 */
-		if (aim_gettlv(innerlist, 0x00d5, 1)) {
-			guint8 createperms;
-
-			createperms = aim_gettlv8(innerlist, 0x00d5, 1);
-		}
+		if (aim_gettlv(innerlist, 0x00d5, 1))
+			;
 
 		/*
Index: protocols/oscar/icq.c
===================================================================
--- protocols/oscar/icq.c	(revision 6a451817589df092ef5121bbe2c7156d2d01f669)
+++ protocols/oscar/icq.c	(revision d18db32f4777d0be6ccb6f46067c0532c07909d5)
@@ -235,6 +235,5 @@
 	aim_tlv_t *datatlv;
 	aim_bstream_t qbs;
-	guint32 ouruin;
-	guint16 cmdlen, cmd, reqid;
+	guint16 cmd, reqid;
 
 	if (!(tl = aim_readtlvchain(bs)) || !(datatlv = aim_gettlv(tl, 0x0001, 1))) {
@@ -246,6 +245,6 @@
 	aim_bstream_init(&qbs, datatlv->value, datatlv->length);
 
-	cmdlen = aimbs_getle16(&qbs);
-	ouruin = aimbs_getle32(&qbs);
+	aimbs_getle16(&qbs); /* cmdlen */
+	aimbs_getle32(&qbs); /* ouruin */
 	cmd = aimbs_getle16(&qbs);
 	reqid = aimbs_getle16(&qbs);
Index: protocols/oscar/im.c
===================================================================
--- protocols/oscar/im.c	(revision 6a451817589df092ef5121bbe2c7156d2d01f669)
+++ protocols/oscar/im.c	(revision d18db32f4777d0be6ccb6f46067c0532c07909d5)
@@ -919,5 +919,4 @@
 	int i, ret = 0;
 	aim_rxcallback_t userfunc;
-	guint8 cookie[8];
 	guint16 channel;
 	aim_tlvlist_t *tlvlist;
@@ -931,5 +930,5 @@
 	/* ICBM Cookie. */
 	for (i = 0; i < 8; i++)
-		cookie[i] = aimbs_get8(bs);
+		aimbs_get8(bs);
 
 	/* Channel ID */
@@ -1414,5 +1413,5 @@
 {
 	guint16 hdrlen, msglen, dc;
-	guint8 msgtype, msgflags;
+	guint8 msgtype;
     guint8 *plugin;
     int i = 0, tmp = 0;
@@ -1442,5 +1441,5 @@
 
         msgtype = aimbs_getle8(servdata);
-        msgflags = aimbs_getle8(servdata);
+        aimbs_getle8(servdata); /* msgflags */
 
         aim_bstream_advance(servdata, 0x04); /* status code and priority code */
Index: protocols/oscar/misc.c
===================================================================
--- protocols/oscar/misc.c	(revision 6a451817589df092ef5121bbe2c7156d2d01f669)
+++ protocols/oscar/misc.c	(revision d18db32f4777d0be6ccb6f46067c0532c07909d5)
@@ -310,5 +310,4 @@
 {
 	aim_frame_t *fr;
-	aim_snacid_t snacid;
 	aim_tlvlist_t *tl = NULL;
 
@@ -330,5 +329,5 @@
 		return -ENOMEM;
 
-	snacid = aim_cachesnac(sess, 0x0002, 0x000f, 0x0000, NULL, 0);
+	aim_cachesnac(sess, 0x0002, 0x000f, 0x0000, NULL, 0);
 
 	aim_putsnac(&fr->data, 0x0002, 0x000f, 0x0000, 0);
Index: protocols/oscar/oscar.c
===================================================================
--- protocols/oscar/oscar.c	(revision 6a451817589df092ef5121bbe2c7156d2d01f669)
+++ protocols/oscar/oscar.c	(revision d18db32f4777d0be6ccb6f46067c0532c07909d5)
@@ -1072,10 +1072,10 @@
 static void gaim_icq_authgrant(void *data_) {
 	struct icq_auth *data = data_;
-	char *uin, message;
+	char *uin;
 	struct oscar_data *od = (struct oscar_data *)data->ic->proto_data;
 	
 	uin = g_strdup_printf("%u", data->uin);
-	message = 0;
 	aim_ssi_auth_reply(od->sess, od->conn, uin, 1, "");
+	// char *message = 0;
 	// aim_send_im_ch4(od->sess, uin, AIM_ICQMSG_AUTHGRANTED, &message);
 	imcb_ask_add(data->ic, uin, NULL);
@@ -1219,9 +1219,9 @@
 static int gaim_parse_misses(aim_session_t *sess, aim_frame_t *fr, ...) {
 	va_list ap;
-	guint16 chan, nummissed, reason;
+	guint16 nummissed, reason;
 	aim_userinfo_t *userinfo;
 
 	va_start(ap, fr);
-	chan = (guint16)va_arg(ap, unsigned int);
+	va_arg(ap, unsigned int); /* chan */
 	userinfo = va_arg(ap, aim_userinfo_t *);
 	nummissed = (guint16)va_arg(ap, unsigned int);
@@ -1335,5 +1335,4 @@
 
 static int gaim_parse_motd(aim_session_t *sess, aim_frame_t *fr, ...) {
-	char *msg;
 	guint16 id;
 	va_list ap;
@@ -1341,5 +1340,5 @@
 	va_start(ap, fr);
 	id  = (guint16)va_arg(ap, unsigned int);
-	msg = va_arg(ap, char *);
+	va_arg(ap, char *); /* msg */
 	va_end(ap);
 
@@ -1361,11 +1360,7 @@
 	switch(type) {
 		case 0x0002: {
-			guint8 maxrooms;
-			struct aim_chat_exchangeinfo *exchanges;
-			int exchangecount; // i;
-
-			maxrooms = (guint8)va_arg(ap, unsigned int);
-			exchangecount = va_arg(ap, int);
-			exchanges = va_arg(ap, struct aim_chat_exchangeinfo *);
+			va_arg(ap, unsigned int); /* maxrooms */
+			va_arg(ap, int); /* exchangecount */
+			va_arg(ap, struct aim_chat_exchangeinfo *); /* exchanges */
 			va_end(ap);
 
@@ -1380,19 +1375,17 @@
 			break;
 		case 0x0008: {
-			char *fqcn, *name, *ck;
-			guint16 instance, flags, maxmsglen, maxoccupancy, unknown, exchange;
-			guint8 createperms;
-			guint32 createtime;
-
-			fqcn = va_arg(ap, char *);
+			char *ck;
+			guint16 instance, exchange;
+
+			va_arg(ap, char *); /* fqcn */
 			instance = (guint16)va_arg(ap, unsigned int);
 			exchange = (guint16)va_arg(ap, unsigned int);
-			flags = (guint16)va_arg(ap, unsigned int);
-			createtime = va_arg(ap, guint32);
-			maxmsglen = (guint16)va_arg(ap, unsigned int);
-			maxoccupancy = (guint16)va_arg(ap, unsigned int);
-			createperms = (guint8)va_arg(ap, int);
-			unknown = (guint16)va_arg(ap, unsigned int);
-			name = va_arg(ap, char *);
+			va_arg(ap, unsigned int); /* flags */
+			va_arg(ap, guint32); /* createtime */
+			va_arg(ap, unsigned int); /* maxmsglen */
+			va_arg(ap, unsigned int); /* maxoccupancy */
+			va_arg(ap, int); /* createperms */
+			va_arg(ap, unsigned int); /* unknown */
+			va_arg(ap, char *); /* name */
 			ck = va_arg(ap, char *);
 			va_end(ap);
@@ -1456,25 +1449,19 @@
 static int gaim_chat_info_update(aim_session_t *sess, aim_frame_t *fr, ...) {
 	va_list ap;
-	aim_userinfo_t *userinfo;
-	struct aim_chat_roominfo *roominfo;
-	char *roomname;
-	int usercount;
-	char *roomdesc;
-	guint16 unknown_c9, unknown_d2, unknown_d5, maxmsglen, maxvisiblemsglen;
-	guint32 creationtime;
+	guint16 maxmsglen, maxvisiblemsglen;
 	struct im_connection *ic = sess->aux_data;
 	struct chat_connection *ccon = find_oscar_chat_by_conn(ic, fr->conn);
 
 	va_start(ap, fr);
-	roominfo = va_arg(ap, struct aim_chat_roominfo *);
-	roomname = va_arg(ap, char *);
-	usercount= va_arg(ap, int);
-	userinfo = va_arg(ap, aim_userinfo_t *);
-	roomdesc = va_arg(ap, char *);
-	unknown_c9 = (guint16)va_arg(ap, int);
-	creationtime = (guint32)va_arg(ap, unsigned long);
+	va_arg(ap, struct aim_chat_roominfo *); /* roominfo */
+	va_arg(ap, char *); /* roomname */
+	va_arg(ap, int); /* usercount */
+	va_arg(ap, aim_userinfo_t *); /* userinfo */
+	va_arg(ap, char *); /* roomdesc */
+	va_arg(ap, int); /* unknown_c9 */
+	va_arg(ap, unsigned long); /* creationtime */
 	maxmsglen = (guint16)va_arg(ap, int);
-	unknown_d2 = (guint16)va_arg(ap, int);
-	unknown_d5 = (guint16)va_arg(ap, int);
+	va_arg(ap, int); /* unknown_d2 */
+	va_arg(ap, int); /* unknown_d5 */
 	maxvisiblemsglen = (guint16)va_arg(ap, int);
 	va_end(ap);
@@ -1517,17 +1504,17 @@
 #endif
 	va_list ap;
-	guint16 code, rateclass;
-	guint32 windowsize, clear, alert, limit, disconnect, currentavg, maxavg;
+	guint16 code;
+	guint32 windowsize, clear, currentavg;
 
 	va_start(ap, fr); 
 	code = (guint16)va_arg(ap, unsigned int);
-	rateclass= (guint16)va_arg(ap, unsigned int);
+	va_arg(ap, unsigned int); /* rateclass */
 	windowsize = (guint32)va_arg(ap, unsigned long);
 	clear = (guint32)va_arg(ap, unsigned long);
-	alert = (guint32)va_arg(ap, unsigned long);
-	limit = (guint32)va_arg(ap, unsigned long);
-	disconnect = (guint32)va_arg(ap, unsigned long);
+	va_arg(ap, unsigned long); /* alert */
+	va_arg(ap, unsigned long); /* limit */
+	va_arg(ap, unsigned long); /* disconnect */
 	currentavg = (guint32)va_arg(ap, unsigned long);
-	maxavg = (guint32)va_arg(ap, unsigned long);
+	va_arg(ap, unsigned long); /* maxavg */
 	va_end(ap);
 
@@ -2417,9 +2404,9 @@
 	struct im_connection * ic = sess->aux_data;
 	va_list ap;
-	guint16 type1, type2;
+	guint16 type2;
 	char * sn;
 
 	va_start(ap, fr);
-	type1 = va_arg(ap, int);
+	va_arg(ap, int); /* type1 */
 	sn = va_arg(ap, char*);
 	type2 = va_arg(ap, int);
@@ -2541,7 +2528,5 @@
 
 	if((cur = aim_getconn_type(od->sess, AIM_CONN_TYPE_CHATNAV))) {
-		int st;
-		
-		st = aim_chatnav_createroom(od->sess, cur, room, exchange_number);
+		aim_chatnav_createroom(od->sess, cur, room, exchange_number);
 		
 		return ret;
@@ -2567,8 +2552,6 @@
 {
 	struct oscar_data * od = (struct oscar_data *)ic->proto_data;
-	struct groupchat *ret;
 	static int chat_id = 0;
 	char * chatname, *s;
-	struct groupchat *c;
 	
 	chatname = g_strdup_printf("%s%s%d", isdigit(*ic->acc->user) ? "icq" : "",
@@ -2579,6 +2562,6 @@
 			*s = '0';
 	
-	c = imcb_chat_new(ic, chatname);
-	ret = oscar_chat_join_internal(ic, chatname, NULL, NULL, 4);
+	imcb_chat_new(ic, chatname);
+	oscar_chat_join_internal(ic, chatname, NULL, NULL, 4);
 	aim_chat_invite(od->sess, od->conn, who, "", 4, chatname, 0x0);
 
Index: protocols/oscar/rxqueue.c
===================================================================
--- protocols/oscar/rxqueue.c	(revision 6a451817589df092ef5121bbe2c7156d2d01f669)
+++ protocols/oscar/rxqueue.c	(revision d18db32f4777d0be6ccb6f46067c0532c07909d5)
@@ -388,8 +388,6 @@
 	 */
 	if (aimbs_get8(&flaphdr) != 0x2a) {
-		guint8 start;
-
 		aim_bstream_rewind(&flaphdr);
-		start = aimbs_get8(&flaphdr);
+		aimbs_get8(&flaphdr);
 		imcb_error(sess->aux_data, "FLAP framing disrupted");
 		aim_conn_close(conn);
Index: protocols/oscar/service.c
===================================================================
--- protocols/oscar/service.c	(revision 6a451817589df092ef5121bbe2c7156d2d01f669)
+++ protocols/oscar/service.c	(revision d18db32f4777d0be6ccb6f46067c0532c07909d5)
@@ -563,7 +563,5 @@
 	groupcount = aimbs_get16(bs);
 	for (i = 0; i < groupcount; i++) {
-		guint16 group;
-
-		group = aimbs_get16(bs);
+		aimbs_get16(bs);
 
 		imcb_error(sess->aux_data, "bifurcated migration unsupported");
@@ -701,9 +699,8 @@
 static int hostversions(aim_session_t *sess, aim_module_t *mod, aim_frame_t *rx, aim_modsnac_t *snac, aim_bstream_t *bs)
 {
-	int vercount;
 	guint8 *versions;
 
 	/* This is frivolous. (Thank you SmarterChild.) */
-	vercount = aim_bstream_empty(bs)/4;
+	aim_bstream_empty(bs);
 	versions = aimbs_getraw(bs, aim_bstream_empty(bs));
 	g_free(versions);
@@ -731,5 +728,4 @@
 	aim_tlvlist_t *tl = NULL;
 	guint32 data;
-	int tlvlen;
 	struct im_connection *ic = sess ? sess->aux_data : NULL;
 
@@ -739,5 +735,5 @@
 		data |= AIM_ICQ_STATE_WEBAWARE;
 
-	tlvlen = aim_addtlvtochain32(&tl, 0x0006, data);
+	aim_addtlvtochain32(&tl, 0x0006, data);
 
 	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 10 + 8)))
